import { flags } from "@oclif/command";
import { ADTClient } from "abap-adt-api";
export interface LoginData {
    connectionId?: string;
    client?: string;
    password?: string;
    ashost?: string;
    port?: number;
    user?: string;
    ssl?: boolean;
    "skip-ssl-validation"?: string;
    certPath?: string;
}
export declare const RECURSIVEFLAG: {
    recursive: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
};
export declare const TRANSPORT: {
    transport: flags.IOptionFlag<string>;
};
export declare const COMMONFLAGS: {
    connectionId: flags.IOptionFlag<string | undefined>;
    ashost: flags.IOptionFlag<string | undefined>;
    port: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
    user: flags.IOptionFlag<string | undefined>;
    client: flags.IOptionFlag<string | undefined>;
    ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    "skip-ssl-validation": flags.IOptionFlag<string | undefined>;
    certPath: flags.IOptionFlag<string | undefined>;
    password: flags.IOptionFlag<string>;
    recursive: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
};
export declare const ALLCOMMONFLAGS: {
    transport: flags.IOptionFlag<string>;
    connectionId: flags.IOptionFlag<string | undefined>;
    ashost: flags.IOptionFlag<string | undefined>;
    port: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
    user: flags.IOptionFlag<string | undefined>;
    client: flags.IOptionFlag<string | undefined>;
    ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    "skip-ssl-validation": flags.IOptionFlag<string | undefined>;
    certPath: flags.IOptionFlag<string | undefined>;
    password: flags.IOptionFlag<string>;
    recursive: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
};
export declare const COMMONARGS: {
    name: string;
    required: boolean;
    description: string;
}[];
export declare function getClient(data: LoginData): Promise<ADTClient>;
